
Katello - Feature #23319

As an API user, I should be able to search for the latest versions of packages.

04/18/2018 08:56 PM - Paul Donohue

Status: Closed   

Priority: Normal   

Assignee: Paul Donohue   

Category:    

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/733
Description

/katello/api/packages currently returns all versions of matching packages.  It should support returning only the latest version of each

matching package.

Associated revisions

Revision 514128c1 - 07/04/2018 01:11 AM - Paul Donohue 

Fixes #23319 - Add latest flag to katello/api/packages

History

#1 - 04/20/2018 06:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7332 added

#2 - 04/25/2018 05:57 PM - Jonathon Turel

- Assignee set to Paul Donohue

- translation missing: en.field_release set to 349

#3 - 07/04/2018 02:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|514128c1c541bbe5a3475ffe22a38fa31668c9f8.
